Package org.apache.solr.client.solrj.request.beans

## Class UpdateRuleBasedAuthPermissionPayload

- java.lang.Object
- - org.apache.solr.client.solrj.request.beans.UpdateRuleBasedAuthPermissionPayload

All Implemented Interfaces:
  `MapSerializable`, `MapWriter`, `NavigableObject`, `ReflectMapWriter`, `org.noggit.JSONWriter.Writable`

    public class UpdateRuleBasedAuthPermissionPayload
    extends Object
    implements ReflectMapWriter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`Integer` `before`
`List<String>` `collection`
`Integer` `index`
`String` `method`
`String` `name`
`Map<String,​Object>` `params`
`List<String>` `path`
`List<String>` `role`

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

### Constructor Summary

Constructors
`UpdateRuleBasedAuthPermissionPayload()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`append, jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _get, _getStr, _getStr, _getStr, _size`

### Methods inherited from interface org.apache.solr.common.util.ReflectMapWriter

`writeMap`

### Field Detail

#### name

    public String name

#### method

    public String method

#### collection

    public List<String> collection

#### path

    public List<String> path

#### index

    public Integer index

#### before

    public Integer before

#### params

    public Map<String,​Object> params

#### role

    public List<String> role

### Constructor Detail

#### UpdateRuleBasedAuthPermissionPayload

    public UpdateRuleBasedAuthPermissionPayload()